Subject: Re: Run pg_amcheck in 002_pg_upgrade.pl and 027_stream_regress.pl?

From: Andrew Dunstan <[email-masked]>
Date: Tue, 5 Apr 2022 08:54:35 -0400

On 4/3/22 22:10, Peter Geoghegan wrote:
> On Sun, Apr 3, 2022 at 11:53 AM Andres Freund <[email-masked]> wrote:
>> We've had bugs in pg_upgrade where post-upgrade xid horizons weren't correctly
>> set. We've had bugs were indexes were corrupted during replay.
>>
>> The latter can be caught by wal_consistency_checking - but that's pretty
>> expensive.
>>
>> It seems $subject would have a chance of catching some of these bugs, as well
>> as exposing amcheck to a database with a bit more varied content?
> I thought that Andrew Dunstan (CC'd) had a BF animal that did this
> setup. But I'm not sure if that ever ended up happening.

I don't think any of my BF animals do anything special in this area.

cheers

andrew

--
Andrew Dunstan
EDB: https://www.enterprisedb.com